SHEPHERD(1)

NAME
shepherd - Service manager for the GNU system

DESCRIPTION
shepherd [OPTIONS...] This is a service manager for Unix and GNU.

--syslog[=FILE]
    log to the system log (syslog) at FILE or /dev/log

-s, --socket=FILE
    get commands from socket FILE or from stdin (-)

-c, --config=FILE
    read configuration from FILE

--pid[=FILE]
    when ready, write PID to FILE or stdout

-l, --logfile=FILE
    log actions in FILE

-I, --insecure
    don't ensure that the setup is secure

-S, --silent
    don't do output to stdout

--quiet
    synonym for --silent

--help
    display this help and exit

--usage
    display short usage message and exit

--version
    display version information and exit

Mandatory or optional arguments to long options are also mandatory or optional to the corresponding short options.

REPORTING BUGS
Report bugs to: bug-guix@gnu.org .
GNU Shepherd general home page: <https://www.gnu.org/software/shepherd/>
General help using GNU software: <https://www.gnu.org/gethelp/>

COPYRIGHT
Copyright © 2025 the Shepherd authors License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for shepherd is maintained as a Texinfo manual. If the info and shepherd programs are properly installed at your site, the command

    info shepherd

should give you access to the complete manual.